package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 流向查询记录
 * @author WeiganCai
 * @date: 2021-08-23
 */
@Data
@ApiModel
public class WxListFlowQueryRecordVO {
	private Long id;

	@ApiModelProperty(value = "流向状态")
	private String flowStatus;

	@ApiModelProperty(value = "箱码")
	private String boxCode;

	@ApiModelProperty(value = "托盘码")
	private String trayCode;

	@ApiModelProperty(value = "SKU编码")
	private String skuCode;

	@ApiModelProperty(value = "SKU名称")
	private String skuName;

	@ApiModelProperty(value = "案件编号")
	private String caseNumber;

	@ApiModelProperty(value = "案件名称")
	private String caseName;

	@ApiModelProperty(value = "省份")
	private String provinceName;

	@ApiModelProperty(value = "城市")
	private String cityName;

	@ApiModelProperty(value = "查询时间")
	private LocalDateTime queryTime;
}
