package com.abi.qms.platform.infrastructure.task;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * @author Eurus
 * @date 2021/5/8 17:48
 * @Description:
 */
@Slf4j
@Component
public class XxlDemo {

    @XxlJob(value = "xxlJobDemo")
    public ReturnT<String> xxlJobDemo(){
        try {
            //商品定时上架
            log.info("====xxljob测试====" + LocalDateTime.now());
        } catch (Exception e) {
            log.error("tipRecordExpire execute error:", e);
        }
        return ReturnT.SUCCESS;
    }
}
